Packages - Bug #1000

[linux-libre] disable CONFIG_IO_STRICT_DEVMEM
2016-05-03 10:43 PM - GNUtoo

Status: fixed % Done: 100%
Priority: bug
Assignee:

Category:

Description
Hi,

e Newer linux-libre kernels now have CONFIG_IO_STRICT_DEVMEM=y

CONFIG_IO_STRICT_DEVMEM=y seem new in such kenrels

¢ Running flashrom -p internal on a libreboot compatible lenovo laptop results in a warning in dmesg and flashrom not working.
linux-libre-Its still works with flashrom, and doesn't have that option.

History

#1 - 2016-05-04 08:25 PM - Anonymous
- Assignee set to Anonymous

- Status changed from open to in progress

#2 - 2016-05-04 09:20 PM - Anonymous
- Tracker changed from Packaging Request to Bug

In LWN page that contains news about Kernel development says "The new CONFIG_IO_STRICT_DEVMEM option, which blocks access to memory
(via /dev/mem) claimed by device drivers, turned out to break booting on some systems, so it is now off by default." In my opinion, we should disable
it in all 4.5 kernels until it be solved. What do you think?

See their article about the 4.5 development kernel for further details.

#3 - 2016-05-06 09:45 AM - Anonymous

- Subject changed from For libreboot users: Package a linux-libre without CONFIG_IO_STRICT_DEVMEM to [linux-libre] disable
CONFIG_IO_STRICT_DEVMEM

#4 - 2016-05-08 07:57 PM - GNUtoo

The libreboot documentation now suggest to use iomems=relaxed in the kenrel commandline to avoid such issue.

As for the hardware that doesn't boot, here is the commit:
commit 19a3dd7621af01b7e44a70d16beab59326c38824
Author: Dan Williams <dan.j.williams@intel.com>

Date: Wed Jan 20 14:37:22 2016 -0800

Do not enable CONFIG_IO_STRICT_DEVMEM by default

Larry Finger reports:
"My PowerBook G4 Aluminum with a 32-bit PPC processor fails to boot for
the 4.4-git series".

This is likely due to X still needing /dev/mem access on this platform.

CONFIG_IO_STRICT_DEVMEM is not yet safe to turn on when
CONFIG_STRICT_DEVMEM=y.

Remove the default so that old configurations do not change behavior.

Fixes: 90a545e98126 ("restrict /dev/mem to idle io memory ranges")
Reported-by: Larry Finger &lt;Larry.Finger@lwfinger.neté&gt;
Tested-by: Larry Finger &lt;Larry.Finger@lwfinger.neté&gt;
Link: http://marc.info/?l=1linux-kernel&m=145332012023825&w=2
Acked-by: Kees Cook &lt;keescook@chromium.org&gt;

Cc: Arnd Bergmann &lt;arnd@arndb.de&gt;

Cc: Ingo Molnar &lt;mingo@redhat.comé&gt;

Cc: Russell King &lt;linux@arm.linux.org.uké&gt;

Cc: Andrew Morton &lt;akpm@linux-foundation.orgé&gt;
https://lwn.net/Articles/673312/
mailto:dan.j.williams@intel.com

Cc: Greg Kroah-Hartman &lt;gregkh@linuxfoundation.orgé&gt;
Signed-off-by: Dan Williams &lt;dan.j.williams@intel.com&gt;
Signed-off-by: Linus Torvalds &lt;torvalds@linux-foundation.orgé&gt;

Sorry for the inconvenience if you decide to add back CONFIG_IO_STRICT_DEVMEM.

Denis.

#5 - 2016-05-08 07:59 PM - GNUtoo

Sorry again, | forgot to use redmine syntax and the commit was garbled.
| repasted it for convenience.

commit 19a3dd7621af0lb7e44a70d16beab59326c38824
Author: Dan Williams <dan.j.williams@intel.com>
Date: Wed Jan 20 14:37:22 2016 -0800

Do not enable CONFIG_IO_STRICT_DEVMEM by default

Larry Finger reports:
"My PowerBook G4 Aluminum with a 32-bit PPC processor fails to boot for
the 4.4-git series".

This is likely due to X still needing /dev/mem access on this platform.

CONFIG_IO_STRICT_DEVMEM is not yet safe to turn on when
CONFIG_STRICT_DEVMEM=y.

Remove the default so that old configurations do not change behavior.

Fixes: 90a545e98126 ("restrict /dev/mem to idle io memory ranges")
Reported-by: Larry Finger <Larry.Finger@lwfinger.net>
Tested-by: Larry Finger <Larry.Finger@lwfinger.net>

Link: http://marc.info/?l=linux-kernel&m=145332012023825&w=2
Acked-by: Kees Cook <keescook@chromium.org>

Cc: Arnd Bergmann <arnd@arndb.de>

Cc: Ingo Molnar <mingo@redhat.com>

Cc: Russell King <linux@arm.linux.org.uk>

Cc: Andrew Morton <akpm@linux-foundation.org>

Cc: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
Signed-off-by: Dan Williams <dan.j.williams@intel.com>
Signed-off-by: Linus Torvalds <torvalds@linux-foundation.org>

#6 - 2016-05-09 02:05 AM - Anonymous
GNUtoo wrote:
Sorry again, | forgot to use redmine syntax and the commit was garbled.

| repasted it for convenience.

(-]

ok, i'm disabling CONFIG_IO_STRICT_DEVMEM in the 4.5.3-gnu kernels, thanks for let me know.

#7 - 2016-05-09 03:10 AM - Anonymous
- % Done changed from 0 to 30

#8 - 2016-05-09 11:11 PM - Anonymous
- % Done changed from 30 to 90

#9 - 2016-05-11 08:49 AM - Anonymous
- % Done changed from 90 to 100

- Status changed from in progress to fixed
